Zorya APIZorya API
  • Go to the Portal
  • Sign Up
  • Documentation
  • API Reference
  • Tables
  • Copyright © 2026 Zorya Telecom, S.A. de C.V.
USERS & SESSIONS
    Get a signed token for a userpostGet the current active usergetList all active sessions for the current usergetRevoke a session by SessionIdpost
LOOKUP
    Consult Msisdn informationpost
TOP-UP
    Send a regular Top Up to a userpostSend a direct Top Up to a user with specified ProductpostGet Statusget
SMS
    Send a Basic SMS to a userpostGet Sms Statusget
RCS
    Send an RCS MessagepostGet RCS Statusget
MESSAGING
    Send SMS or RCS MessagepostGet Message Statusget
WHATSAPP
    MESSAGES
      Text Messagepost
    STATUS
      Get WhatsApp Statusget
    MEDIA
      Get MediaIdgetGenerate Header HandlepostUpload Media Completepost
    TEMPLATES
      List WhatsApp TemplatesgetCreate a WhatsApp TemplatepostUpdate a WhatsApp TemplatepostDelete a WhatsApp Templatedelete
      Categories
    Flows
    Usernames
WEBHOOKS
    MO
    MT
    NOTIFICATIONS
Core API
Core API

USERS & SESSIONS


Get a signed token for a user

POST
https://gateway.zorya.com
/api/v1/User/login

This method is used to authenticate users and provide secure access to the platform's APIs by issuing a JSON Web Token (JWT). The token returned should be included in the Authorization header for all subsequent requests.

Request Parameters

ParameterData TypeDescriptionRequired?
usernamestringThe user's unique login identifier or email.Yes
userPasswordstringThe user's password for authentication.Yes
POST/api/v1/User/login
curl https://gateway.zorya.com/api/v1/User/login \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "username": "<YOUR_USERNAME>", "userPassword": "<YOUR_PASSWORD>" }'
Example Request Body
{ "username": "<YOUR_USERNAME>", "userPassword": "<YOUR_PASSWORD>" }
json
application/json
Example Responses
{ "success": true, "errors": null, "detailedErrors": [], "data": "<YOUR_ACCESS_TOKEN>" }
json
application/json

Get the current active user
LOOKUP